SND_INTERVAL_REFINE(9)

NAME
snd_interval_refine - refine the interval value of configurator

SYNOPSIS

int snd_interval_refine(struct snd_interval * i, const struct snd_interval * v);

ARGUMENTS

i
    the interval value to refine

v
    the interval value to refer to

DESCRIPTION

Refines the interval value with the reference value. The interval is changed to the range satisfying both intervals. The interval status (min, max, integer, etc.) are evaluated.

RETURN

Positive if the value is changed, zero if it's not changed, or a negative error code.

COPYRIGHT